org.apache.flume.thrift

## Class ThriftSourceProtocol.Client.Factory

- java.lang.Object
- - org.apache.flume.thrift.ThriftSourceProtocol.Client.Factory

- All Implemented Interfaces:
    org.apache.thrift.TServiceClientFactory<ThriftSourceProtocol.Client>
  Enclosing class:
    ThriftSourceProtocol.Client

      public static class ThriftSourceProtocol.Client.Factory
      extends Object
      implements org.apache.thrift.TServiceClientFactory<ThriftSourceProtocol.Client>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftSourceProtocol.Client.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThriftSourceProtocol.Client` | `getClient(org.apache.thrift.protocol.TProtocol prot)`
    `ThriftSourceProtocol.Client` | `getClient(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftSourceProtocol.Client.Factory

          public ThriftSourceProtocol.Client.Factory()

  - ### Method Detail

    - #### getClient

          public ThriftSourceProtocol.Client getClient(org.apache.thrift.protocol.TProtocol prot)

      Specified by:
        `getClient` in interface `org.apache.thrift.TServiceClientFactory<ThriftSourceProtocol.Client>`

    - #### getClient

          public ThriftSourceProtocol.Client getClient(org.apache.thrift.protocol.TProtocol iprot,
                                              org.apache.thrift.protocol.TProtocol oprot)

      Specified by:
        `getClient` in interface `org.apache.thrift.TServiceClientFactory<ThriftSourceProtocol.Client>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.